import request from '../utils/request'

//申请APIKEY
export function getApiKey(data) {
  return request({
    url: `pool/user/getApiKey`,
    method: 'post',
    data
  })
}

//获取API列表
export function getApiList(data) {
  return request({
    url: `pool/user/getApiList`,
    method: 'post',
    data
  })
}


//修改指定apikey绑定的IP地址/权限
export function getUpdateAPI(data) {
  return request({
    url: `pool/user/updateAPI`,
    method: 'post',
    data
  })
}

//删除API
export function getDelApi(data) {
  return request({
    url: `pool/user/delApi`,
    method: 'delete',
    data
  })
}

//获取当前apiKey基本信息
export function getApiInfo(data) {
  return request({
    url: `pool/user/getApiInfo`,
    method: 'post',
    data
  })
}
